
D4Science Infrastructure - Task #324

Task # 897 (Closed): Install and configure a couchdb cluster 

Install haproxy as couchdb frontend

Jun 30, 2015 12:25 PM - Andrea Dell'Amico

Status: Closed Start date: Jun 30, 2015

Priority: High Due date: Oct 16, 2015

Assignee: Andrea Dell'Amico % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: CouchDB Deployment   

Infrastructure: Production   

Description

Install haproxy on accounting-d4s.d4science.org

Configure haproxy as couchdb frontend

History

#1 - Jul 03, 2015 04:00 PM - Andrea Dell'Amico

- Status changed from New to In Progress

haproxy is the default proxy to split the requests to a couchdb cluster > 2.0. We will configure it when a 2.0 cluster will be available

#2 - Jul 03, 2015 04:00 PM - Andrea Dell'Amico

- Status changed from In Progress to Paused

#3 - Oct 06, 2015 05:11 PM - Andrea Dell'Amico

- Status changed from Paused to In Progress

We are going to use haproxy in front of the production cluster, even if we are still at version 1.6

#4 - Oct 06, 2015 05:17 PM - Andrea Dell'Amico

- Parent task changed from #110 to #897

#5 - Oct 08, 2015 04:51 PM - Luca Frosini

- Due date set to Oct 16, 2015

#6 - Oct 08, 2015 04:53 PM - Luca Frosini

- Target version changed from zz - Redesign Accounting to zz - Accouting Facility

#7 - Oct 22, 2015 12:09 PM - Luca Frosini

- Priority changed from Normal to High

#8 - Oct 23, 2015 01:33 PM - Andrea Dell'Amico

haproxy is configured. The http requests are redirected to https.

#9 - Oct 23, 2015 01:33 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 90

#10 - Oct 27, 2015 03:25 PM - Luca Frosini

- Target version changed from zz - Accouting Facility to CouchDB Deployment

#11 - Oct 29, 2015 02:44 PM - Luca Frosini

- Status changed from Feedback to Closed
- % Done changed from 90 to 100
